BEGIN TRANSACTION;
CREATE TABLE language (
    "Code" TEXT,
    "Language" TEXT,
    "Filename" TEXT
);
INSERT INTO "language" VALUES('EN','English','EN.db3');
CREATE TABLE Host (
    Host        TEXT    NOT NULL,
    Port        NUMBER  NOT NULL,
    Identifier  TEXT    NOT NULL,
    Pass        TEXT,
    Filename    TEXT    NOT NULL,
    CONSTRAINT pkConf_Host PRIMARY KEY (Host, Port)
);
CREATE TABLE Setting (
    Tag         TEXT    NOT NULL,
    Value       TEXT    NOT NULL,
    Comment     TEXT,
    CONSTRAINT pkConf_Setting PRIMARY KEY (Tag)
);
INSERT INTO "Setting" VALUES('Debug.File','lyra_debug%u%g.log','Macros can be used in the filename as well:
   %h - Home Directory
   %t - Temporary Directory
   %u - Unique number generation for conflict avoidance
   %g - File rotation number');
INSERT INTO "Setting" VALUES('Debug.Level','FINE','Debugging level: SEVERE, WARNING, INFO, CONFIG, FINE ');
INSERT INTO "Setting" VALUES('Debug.Limit.File','10','The amount of files that will be rotated through prior to recycling in favour of new entries.');
INSERT INTO "Setting" VALUES('Debug.Limit.Row','250000','The amount of lines the logging file will carry prior to rotation.');
INSERT INTO "Setting" VALUES('LastDotFm.Authorize','http://www.last.fm/api/auth/','Users needs to authorize Lyra for integration.  This is the site address required for this authorization.');
INSERT INTO "Setting" VALUES('LastDotFm.Country','United States','Last.fm country for buy link searches.');
INSERT INTO "Setting" VALUES('LastDotFm.Join','http://www.last.fm/join/','Users can register to Last.fm in order to have an account established for them.');
INSERT INTO "Setting" VALUES('LastDotFm.Key','b1f44f5d9d49d7859862e784da00685c','Application key identifying Lyra to the Last.fm service for integration.');
INSERT INTO "Setting" VALUES('LastDotFm.Secret','d9af7931ed7433fe83a15deafb24b5e3','Singature key used in the signature component of the Last.fm requests.');
INSERT INTO "Setting" VALUES('LastDotFm.Session','0','Session key issued once authentication took place, which identifies the user account specifically.   Unlimited in time span for use, but can be revoked by the user.');
INSERT INTO "Setting" VALUES('LastDotFm.Site','http://ws.audioscrobbler.com/2.0/','Last.fm request site address.');
INSERT INTO "Setting" VALUES('LastDotFm.Username','0','Last.fm account username.');
INSERT INTO "Setting" VALUES('Program.Language','EN','Program language can be changed at runtime and is a selection of the appropriate SQLite database file.  The default however is set in the application or set to EN (English) at compile time.');
INSERT INTO "Setting" VALUES('Program.Version','1.0.4','Lyra Application Version Identifier.');
INSERT INTO "Setting" VALUES('Setting.Interface.Album','true','Interface Setting - Visibility of the Album Filter.');
INSERT INTO "Setting" VALUES('Setting.Interface.Artist','true','Interface Setting - Visibility of the Artist Filter.');
INSERT INTO "Setting" VALUES('Setting.Interface.Block','pane','Interface Setting - Block Mechanism Selected / Look and Feel.  (dialog/pane)');
INSERT INTO "Setting" VALUES('Setting.Interface.Color.Font.Highlight','-2696737','Custom Color - Highlighted Font Color for Jtables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Color.Font.Primary','-16777216','Custom Colour - Font Color for JTables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Color.Row.Highlight','-13434676','Custom Colour - Row Background Highligted Color for JTables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Color.Row.Primary','-6710785','Custom Colour - Row Background Primary Colour for JTables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Color.Row.Secondary','-1','Custom Colour - Row Background Secondary Color for JTables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Custom','false','Interface Setting - Use of custom colours for JTables.');
INSERT INTO "Setting" VALUES('Setting.Interface.Genre','true','Interface Setting - Visibilty of the Genre Filter.');
INSERT INTO "Setting" VALUES('Setting.Interface.Icons','BLUE','Interface Setting - Selected Icon Set');
INSERT INTO "Setting" VALUES('Setting.Interface.Playlist','true','Interface Setting - Visibility of the Playlist feature.');
INSERT INTO "Setting" VALUES('Setting.Interface.Smooth','true','Interface Setting - Smooth Scrolling via Pixels or Character Based Scrolling for Tickers.');
INSERT INTO "Setting" VALUES('Setting.Interface.Theme','Nimbus','Interface Setting - Selected Theme / Look and Feel.');
INSERT INTO "Setting" VALUES('Setting.Interface.Tray','true','Interface Setting - System Tray Support - Enabled/Disabled');
INSERT INTO "Setting" VALUES('State.Close.Prompt','true','Boolean value associated with prompting the user when the application is being closed.');
INSERT INTO "Setting" VALUES('State.Compact.Window.XCoord','712','X Axis Coordinate where the window is located on the screen,');
INSERT INTO "Setting" VALUES('State.Compact.Window.YCoord','22','Y Axis Coordinate where the window is located on the screen,');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Album','3','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Artist','2','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Date','7','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Genre','6','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Id','0','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Time','4','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Title','1','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Position.Track','5','tableCurrent Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Album','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Artist','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Date','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Genre','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Id','38','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Time','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Title','159','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Current.Width.Track','75','tableCurrent Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Playlist.Local','false','treePlaylist local list expansion.');
INSERT INTO "Setting" VALUES('State.Organizer.Playlist.Remote','false','treePlaylist remote list expansion.');
INSERT INTO "Setting" VALUES('State.Organizer.Playlist.Smart','false','treePlaylist smart list expansion.');
INSERT INTO "Setting" VALUES('State.Organizer.Search.Display','false','Search Toolbar - Enables the visibility of the object.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Album','1','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Artist','0','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Date','6','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Genre','5','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Rating','7','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Time','3','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Title','2','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.Track','4','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Position.file','8','tableSongs Column position designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Album','190','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Artist','134','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Date','46','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Genre','105','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Rating','98','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Time','48','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Title','193','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.Track','48','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Songs.Width.file','605','tableSong Column size designation.');
INSERT INTO "Setting" VALUES('State.Organizer.Split.Global','204','Global JSplitPane location.');
INSERT INTO "Setting" VALUES('State.Organizer.Split.Library','193','Library JSplitPane location.');
INSERT INTO "Setting" VALUES('State.Organizer.Split.Lists','153','Lists JSplitPane location.');
INSERT INTO "Setting" VALUES('State.Organizer.Window.Height','558','The height of the window,.');
INSERT INTO "Setting" VALUES('State.Organizer.Window.State','0','State of the window as long as it is not ICONIFIED.');
INSERT INTO "Setting" VALUES('State.Organizer.Window.Width','995','The width of the window.');
INSERT INTO "Setting" VALUES('State.Organizer.Window.XCoord','19','X Axis Coordinate where the window is located on the screen,');
INSERT INTO "Setting" VALUES('State.Organizer.Window.YCoord','3','Y Axis Coordinate where the window is located on the screen,');
ANALYZE sqlite_master;
INSERT INTO "sqlite_stat1" VALUES('Setting','sqlite_autoindex_Setting_1','75 1');
INSERT INTO "sqlite_stat1" VALUES('Host','idxHost_Identifier','1 1');
INSERT INTO "sqlite_stat1" VALUES('Host','sqlite_autoindex_Host_1','1 1 1');
CREATE UNIQUE INDEX idxHost_Identifier ON Host (Identifier);
COMMIT;
